> ## Documentation Index
> Fetch the complete documentation index at: https://docs.merchantspring.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a suppressed product report

> Create a "suppressed product" report. The generated report CSV contains the columns defined in the `SuppressedProductReportColumns` schema including suppression dates, issue types, estimated lost sales, and fix URLs. Use the /reports/status/{reportId} endpoint to check report status and obtain the download URL.



## OpenAPI

````yaml /api-reference/openapi.json post /reports/create/suppressedProduct
openapi: 3.0.1
info:
  title: MerchantSpring Public API
  version: 1.0.0
servers:
  - url: https://mm-api.merchantspring.io
    description: Production
  - url: https://mm-api-staging.merchantspring.io
    description: Staging
security: []
tags:
  - name: channel
    x-group: Channel
  - name: content-change
    x-group: Content Change
  - name: custom-group
    x-group: Custom Group
  - name: order
    x-group: Order
  - name: report
    x-group: Report
  - name: tag
    x-group: Tag
  - name: profitability
    x-group: Profitability
paths:
  /reports/create/suppressedProduct:
    post:
      tags:
        - report
      summary: Create a suppressed product report
      description: >-
        Create a "suppressed product" report. The generated report CSV contains
        the columns defined in the `SuppressedProductReportColumns` schema
        including suppression dates, issue types, estimated lost sales, and fix
        URLs. Use the /reports/status/{reportId} endpoint to check report status
        and obtain the download URL.
      operationId: createSuppressedProductReport
      requestBody:
        description: Report criteria
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateSuppressedProductReportRequest'
        required: true
      responses:
        '200':
          description: Successful operation
          headers:
            Access-Control-Allow-Origin:
              schema:
                type: string
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateReportResponse'
            text/csv:
              schema:
                $ref: '#/components/schemas/SuppressedProductReportColumns'
        '400':
          description: Invalid input
          content: {}
      security:
        - api_key: []
components:
  schemas:
    CreateSuppressedProductReportRequest:
      type: object
      properties:
        channelId:
          type: string
        merchantId:
          type: string
    CreateReportResponse:
      type: object
      properties:
        reportId:
          type: string
        reportType:
          type: string
        status:
          type: string
    SuppressedProductReportColumns:
      type: object
      description: Columns present in the downloadable Suppressed Product report CSV.
      properties:
        sellerSku:
          type: string
          description: Seller SKU
        productSku:
          type: string
          description: Product SKU (e.g. ASIN)
        title:
          type: string
          description: Product title
        inventory:
          type: number
          description: Current available inventory quantity
        dateSuppressed:
          type: string
          description: Date the listing was suppressed
        salesValue:
          type: number
          description: Estimated lost sales value due to suppression
        price:
          type: number
          description: Product listing price
        issueCount:
          type: number
          description: Number of listing issues causing suppression
        issueTypes:
          type: string
          description: Types of issues causing suppression
        fixUrl:
          type: string
          description: URL to fix the listing issues
        linkUrl:
          type: string
          description: URL to the product listing
  securitySchemes:
    api_key:
      type: apiKey
      name: x-api-key
      in: header

````